Loading...
Searching...
No Matches
pappso::MassDataCombinerInterface Class Referenceabstract

`#include <massdatacombinerinterface.h>`

Inheritance diagram for pappso::MassDataCombinerInterface:

## Public Types

using | Iterator = std::vector<const Trace *>::const_iterator

## Public Member Functions

| MassDataCombinerInterface (int decimal_places=-1)
virtual | ~MassDataCombinerInterface ()
void | setDecimalPlaces (int value)
int | getDecimalPlaces () const
virtual MapTrace & | combine (MapTrace &map_trace, Iterator begin, Iterator end)
virtual MapTrace & | combine (MapTrace &map_trace, const Trace &trace) const =0
virtual MapTrace & | combine (MapTrace &map_trace_out, const MapTrace &map_trace_in) const =0

## Protected Attributes

int | m_decimalPlaces = -1
| Number of decimals to use for the keys (x values).

## Detailed Description

Definition at line 25 of file massdatacombinerinterface.h.

## Member Typedef Documentation

## Iterator

using pappso::MassDataCombinerInterface::Iterator = std::vector<const Trace *>::const_iterator

Definition at line 35 of file massdatacombinerinterface.h.

## Constructor & Destructor Documentation

## MassDataCombinerInterface()

pappso::MassDataCombinerInterface::MassDataCombinerInterface | ( | int | decimal_places = -1 | ) |

Definition at line 19 of file massdatacombinerinterface.cpp.

: m_decimalPlaces(decimal_places)
{
}
pappso::MassDataCombinerInterface::m_decimalPlaces
int m_decimalPlaces
Number of decimals to use for the keys (x values).
Definition massdatacombinerinterface.h:44

References m_decimalPlaces.

Referenced by pappso::MassSpectrumCombiner::MassSpectrumCombiner(), pappso::MassSpectrumCombiner::MassSpectrumCombiner(), pappso::MassSpectrumCombiner::MassSpectrumCombiner(), pappso::MassSpectrumCombiner::MassSpectrumCombiner(), pappso::TraceCombiner::TraceCombiner(), pappso::TraceCombiner::TraceCombiner(), and pappso::TraceCombiner::TraceCombiner().

## ~MassDataCombinerInterface()

pappso::MassDataCombinerInterface::~MassDataCombinerInterface | ( |  | ) |

virtual

Definition at line 25 of file massdatacombinerinterface.cpp.

{
}

## Member Function Documentation

## combine() [1/3]

virtual MapTrace & pappso::MassDataCombinerInterface::combine | ( | MapTrace & | map_trace,
|  | const Trace & | trace ) const

pure virtual

Implemented in pappso::MassSpectrumMinusCombiner, pappso::MassSpectrumPlusCombiner, pappso::TraceMinusCombiner, and pappso::TracePlusCombiner.

## combine() [2/3]

MapTrace & pappso::MassDataCombinerInterface::combine | ( | MapTrace & | map_trace,
|  | Iterator | begin,
|  | Iterator | end )

virtual

Definition at line 46 of file massdatacombinerinterface.cpp.

{
for(Iterator iterator = begin; iterator != end; ++iterator)
combine(map_trace, *(*iterator));
return map_trace;
}
pappso::MassDataCombinerInterface::Iterator
std::vector< const Trace * >::const_iterator Iterator
Definition massdatacombinerinterface.h:35
pappso::MassDataCombinerInterface::combine
virtual MapTrace & combine(MapTrace &map_trace, Iterator begin, Iterator end)
Definition massdatacombinerinterface.cpp:46

References combine().

Referenced by combine().

## combine() [3/3]

virtual MapTrace & pappso::MassDataCombinerInterface::combine | ( | MapTrace & | map_trace_out,
|  | const MapTrace & | map_trace_in ) const

pure virtual

Implemented in pappso::MassSpectrumMinusCombiner, pappso::MassSpectrumPlusCombiner, pappso::TraceMinusCombiner, and pappso::TracePlusCombiner.

## getDecimalPlaces()

int pappso::MassDataCombinerInterface::getDecimalPlaces | ( |  | ) | const

Definition at line 38 of file massdatacombinerinterface.cpp.

{
return m_decimalPlaces;
}

References m_decimalPlaces.

## setDecimalPlaces()

void pappso::MassDataCombinerInterface::setDecimalPlaces | ( | int | value | ) |

Definition at line 31 of file massdatacombinerinterface.cpp.

{
m_decimalPlaces = value;
}

References m_decimalPlaces.

## Member Data Documentation

## m_decimalPlaces

int pappso::MassDataCombinerInterface::m_decimalPlaces = -1

protected

Number of decimals to use for the keys (x values).

Definition at line 44 of file massdatacombinerinterface.h.

Referenced by MassDataCombinerInterface(), pappso::MassSpectrumCombiner::MassSpectrumCombiner(), pappso::MassSpectrumCombiner::MassSpectrumCombiner(), pappso::TraceCombiner::TraceCombiner(), pappso::TraceCombiner::TraceCombiner(), pappso::TraceMinusCombiner::combine(), pappso::TracePlusCombiner::combine(), getDecimalPlaces(), pappso::MassSpectrumMinusCombiner::operator=(), pappso::MassSpectrumPlusCombiner::operator=(), and setDecimalPlaces().

The documentation for this class was generated from the following files:

- pappsomspp/core/processing/combiners/massdatacombinerinterface.h
- pappsomspp/core/processing/combiners/massdatacombinerinterface.cpp